WordPress 3.1.1 – résoudre le problème « Incompatible Archive »

Pour ceux qui tomberaient sur cet os : au moment d’une mise à jour d’extension (plugin) ou de thèmes, si vous avez le message « archive incompatible » qui apparaît il y a de forte chance que vous utilisiez la mise à jour via SSH2.

Si vous êtes sur une Debian, ça m’étonnerait encore moins.

J’ai finalement retrouvé la trace de ce bug sur le support WordPress. Il suffit d’éditer manuellement le fichier wp-admin/includes/class-wp-filesystem-ssh2.php et de remplacer

$dir = @dir('ssh2.sftp://' . $this->sftp_link .'/' . ltrim($path, '/') );

par

$dir = @dir($path, '/');

Il semblerait que le module qui gère les accès fichiers en SSH2 ne s’attend pas à une URI complète mais le chemin simple.

One Comment

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *